%global oname cargo
Name:          cargo-resources
Version:       1.4.2
Release:       4%{?dist}
Summary:       Cargo Shared Resources
License:       ASL 2.0
Url:           http://cargo.codehaus.org/
# svn export http://svn.codehaus.org/cargo/resources/tags/cargo-resources-1.4.2
# tar czf cargo-resources-1.4.2-src-svn.tar.gz cargo-resources-1.4.2
Source0:       %{name}-%{version}-src-svn.tar.gz

BuildRequires: cargo-parent
BuildRequires: java-devel

BuildRequires: felix-osgi-core
BuildRequires: geronimo-ejb
BuildRequires: geronimo-parent-poms
#BuildRequires: mvn(org.apache.geronimo.specs:specs)
BuildRequires: javamail
BuildRequires: tomcat-servlet-3.0-api

BuildRequires: maven-local
BuildRequires: maven-ear-plugin
BuildRequires: maven-ejb-plugin
BuildRequires: maven-enforcer-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-war-plugin

Requires:      felix-osgi-core
Requires:      geronimo-ejb
Requires:      javamail
Requires:      tomcat-servlet-3.0-api

Requires:      java-headless
BuildArch:     noarch

%description
Cargo Shared Resources (License files, Checkstyle configuration files, etc).

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q

%pom_disable_module jetty-6-and-earlier-deployer
%pom_disable_module jetty-7-and-onwards-deployer
# requires geronimo-spec geronimo-spec-jta 1.0.1B-rc4
# requires org.springframework spring 2.5.6
%pom_disable_module datasource-cmt-local-war testdata/pom.xml
# requires org.codehaus.mojo jboss-packaging-maven-plugin 2.2
%pom_disable_module simple-aop testdata/pom.xml
%pom_disable_module simple-har testdata/pom.xml

sed -i "s|<groupId>org.osgi</groupId>|<groupId>org.apache.felix</groupId>|" testdata/simple-bundle/pom.xml
sed -i "s|<version>4.0.0</version>|<version>1.4.0</version>|" testdata/simple-bundle/pom.xml
sed -i "s|<artifactId>geronimo-j2ee_1.4_spec|<artifactId>geronimo-ejb_3.1_spec|" testdata/simple-ejb/pom.xml

# force tomcat 7.x apis use
sed -i "s|<groupId>javax.servlet</groupId>|<groupId>org.apache.tomcat</groupId>|" $(find . -name "pom.xml")
sed -i "s|<artifactId>servlet-api</artifactId>|<artifactId>tomcat-servlet-api</artifactId>|" $(find . -name "pom.xml")

%build

mvn-rpmbuild package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{oname}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-%{name}.pom
%add_maven_depmap JPP.%{oname}-%{name}.pom

install -m 644 build-tools/target/%{oname}-build-tools-%{version}.jar %{buildroot}%{_javadir}/%{oname}/%{oname}-build-tools.jar
install -pm 644 build-tools/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-%{oname}-build-tools.pom
%add_maven_depmap JPP.%{oname}-%{oname}-build-tools.pom %{oname}/%{oname}-build-tools.jar

# jetty-6-and-earlier-deployer
# jetty-7-and-onwards-deployer

# testdata

# simple-aop
# simple-har

for m in empty-ear \
         simple-ear; do
    install -m 644 testdata/${m}/target/${m}-%{version}.ear %{buildroot}%{_javadir}/%{oname}/${m}.ear
    install -pm 644 testdata/${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-${m}.pom
%add_maven_depmap JPP.%{oname}-${m}.pom %{oname}/${m}.ear
done

for m in empty-jar \
         simple-bundle \
         simple-ejb \
         simple-jar; do
    install -m 644 testdata/${m}/target/${m}-%{version}.jar %{buildroot}%{_javadir}/%{oname}/${m}.jar
    install -pm 644 testdata/${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-${m}.pom
%add_maven_depmap JPP.%{oname}-${m}.pom %{oname}/${m}.jar
done

# datasource-cmt-local-war
for m in authentication-war \
         classpath-war \
         datasource-war \
         expanded-war \
         mailsession-war \
         simple-war \
         systemproperty-war \
         two-datasources-war \
         xadatasource-war; do
    install -m 644 testdata/${m}/target/${m}-%{version}.war %{buildroot}%{_javadir}/%{oname}/${m}.war
    install -pm 644 testdata/${m}/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-${m}.pom
%add_maven_depmap JPP.%{oname}-${m}.pom %{oname}/${m}.war
done

install -m 644 testdata/tomcat-context/target/tomcatcontext-war-%{version}.war %{buildroot}%{_javadir}/%{oname}/tomcatcontext-war.war
install -pm 644 testdata/tomcat-context/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{oname}-tomcatcontext-war.pom
%add_maven_depmap JPP.%{oname}-tomcatcontext-war.pom %{oname}/tomcatcontext-war.war


mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

cp -p build-tools/LICENSE .
cp -p build-tools/NOTICE .

%files -f .mfiles
%dir %{_javadir}/%{oname}
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE NOTICE

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4.2-3
- Use Requires: java-headless rebuild (#1067528)

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 05 2013 gil cattaneo <puntogil@libero.it> 1.4.2-1
- Update to 1.4.2

* Sun Feb 17 2013 gil cattaneo <puntogil@libero.it> 1.3.1-4
- added missing BR geronimo-parent-poms

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.3.1-2
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Nov 19 2012 gil cattaneo <puntogil@libero.it> 1.3.1-1
- Update to 1.3.1

* Thu Aug 23 2012 gil cattaneo <puntogil@libero.it> 1.2.4-1
- Update to 1.2.4

* Fri Jul 27 2012 gil cattaneo <puntogil@libero.it> 1.2.3-1
- Update to 1.2.3

* Wed Jul 04 2012 gil cattaneo <puntogil@libero.it> 1.2.2-1
- Update to 1.2.2

* Mon May 14 2012 gil cattaneo <puntogil@libero.it> 1.2.1-1
- initial rpm